IPTABLES-RESTORE(8)

NAZWA
iptables-restore — przywrócenie tabel IP

ip6tables-restore — przywrócenie tabel IPv6

SKŁADNIA
iptables-restore [-chntvV] [-w secs] [-W usecs] [-M modprobe] [-T nazwa] [plik]

ip6tables-restore [-chntvV] [-w secs] [-W usecs] [-M modprobe] [-T nazwa] [plik]

OPIS

iptables-restore and ip6tables-restore are used to restore IP and IPv6 Tables from data specified on STDIN or in file. Use I/O redirection provided by your shell to read from a file or specify file as an argument.

-c, --counters
    Przywraca wartości wszystkich pakietów i liczników bajtów.

-h, --help
    Wyświetla krótkie podsumowanie opcji programu.

-n, --noflush
    Nie opróżnia poprzedniej zawartości tabeli. Jeśli nie podano, oba polecania opróżnią (usuną) całą poprzednią zawartość odpowiedniej tabeli.

-t, --test
    Tylko przetwarza i tworzy zbiór reguł, ale go nie wykonuje.

-v, --verbose
    Print additional debug info during ruleset processing. Specify multiple times to increase debug level.

-V, --version
    Print the program version number.

-w, --wait [seconds]
    Wait for the xtables lock. To prevent multiple instances of the program from running concurrently, an attempt will be made to obtain an exclusive lock at launch. By default, the program will exit if the lock cannot be obtained. This option will make the program wait (indefinitely or for optional seconds) until the exclusive lock can be obtained.

-M, --modprobe program_modprobe
    Podaje ścieżkę do programu modprobe. Domyślnie iptables-restore określi ścieżkę do tego programu na podstawie /proc/sys/kernel/modprobe.

-T, --table nazwa
    Przywraca tylko tabelę o danej nazwie, nawet jeśli strumień wejściowy zawiera także inne tabele.

BŁĘDY
Nieznane w wersji iptables-1.2.1

AUTORZY
Harald Welte <laforge@gnumonks.org> napisał iptables-restore na podstawie kodu Rusty'ego Russella.
Andras Kis-Szabo <kisza@sch.bme.hu> pomagał przy ip6tables-restore.

ZOBACZ TAKŻE
iptables-apply(8),iptables-save(8), iptables(8)

iptables-HOWTO, które zawiera więcej informacji na temat użycia iptables, NAT-HOWTO, które zawiera szczegóły na temat NAT, i netfilter-hacking-HOWTO, które zawiera szczegóły na temat ograniczeń.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Przemek Borys <pborys@dione.ids.pl> i Robert Luberda <robert@debian.org>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.